Bug 189722 - Automatic detection of the sound card did not work
Automatic detection of the sound card did not work
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: alsa-utils (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-23 19:08 EDT by Kunal Shah
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-09 02:37:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/root/scsound.log (12.05 KB, text/plain)
2006-04-23 19:08 EDT, Kunal Shah
no flags Details
out of of /sbin/lspci (1.82 KB, text/plain)
2006-04-23 19:42 EDT, Kunal Shah
no flags Details

  None (edit)
Description Kunal Shah 2006-04-23 19:08:06 EDT
Description of problem:
When I run sndconfig, it shows applete that ask me to run some sound and asks if
i hear it. i dont hear anything. so when i press no there, it says 

Automatic detection of the sound card did not work,Audio will not be available
on the system.
You can inspect /root/scsound.log and file a new bug
at http://bugzilla.redhat.com.

Please click OK to continue.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.login to kde as root
2.go to system->administration->soundcard detection.
3.click on play icon, it will ask whether you hear any sound. i dont hear anything.
  
Actual results:


Expected results:


Additional info:
Comment 1 Kunal Shah 2006-04-23 19:08:06 EDT
Created attachment 128133 [details]
/root/scsound.log
Comment 2 Kunal Shah 2006-04-23 19:42:31 EDT
Created attachment 128134 [details]
out of of /sbin/lspci

output of lspci command for your reference.

thanks
kunal shah
kunalvshah@gmail.com
Comment 3 Martin Stransky 2006-04-25 02:31:24 EDT
Could you check to mute the "External Amplifier" switch? You may use alsamixer
command line utility, the 'M' key.
Comment 4 Kunal Shah 2006-04-26 20:48:03 EDT
Hi,
On your suggestion i did some googleing and did this

root@localhost ~]# amixer -c 0 sset "External Amplifier" unmute
Simple mixer control 'External Amplifier',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [on]
[root@localhost ~]# alsactl store

After that i tried to play some music. no sound.
Then i tried to mute external amplifier. no sound.


Comment 5 Martin Stransky 2006-06-30 10:54:12 EDT
Please check new drivers, how-to is here-http://people.redhat.com/stransky/alsa/
Comment 6 Kunal Shah 2006-07-13 00:11:06 EDT
I am getting error following step 4
Configure and compile this package (do "$./configure" and "$make" in
alsa-driver-xxxx directory)

I am using alsa-driver-1.0.11.tar.bz2

for this "configure" went fine without erros but make gives compilation error.

  CC [M]  /sound/alsa-driver-1.0.11/pcmcia/pdaudiocf/pdaudiocf.o
In file included from /sound/alsa-driver-1.0.11/pcmcia/pdaudiocf/pdaudiocf.c:5:
/sound/alsa-driver-1.0.11/pcmcia/pdaudiocf/pdaudiocf_old.c: In function
‘snd_pdacf_free’:
/sound/alsa-driver-1.0.11/pcmcia/pdaudiocf/pdaudiocf_old.c:105: warning:
implicit declaration of function ‘pcmcia_deregister_client’
/sound/alsa-driver-1.0.11/pcmcia/pdaudiocf/pdaudiocf_old.c: In function
‘snd_pdacf_attach’:
/sound/alsa-driver-1.0.11/pcmcia/pdaudiocf/pdaudiocf_old.c:207: warning:
implicit declaration of function ‘pcmcia_register_client’
/sound/alsa-driver-1.0.11/pcmcia/pdaudiocf/pdaudiocf_old.c: At top level:
/sound/alsa-driver-1.0.11/pcmcia/pdaudiocf/pdaudiocf_old.c:422: error: unknown
field ‘attach’ specified in initializer
/sound/alsa-driver-1.0.11/pcmcia/pdaudiocf/pdaudiocf_old.c:422: warning: excess
elements in struct initializer
/sound/alsa-driver-1.0.11/pcmcia/pdaudiocf/pdaudiocf_old.c:422: warning: (near
initialization for ‘pdacf_cs_driver’)
/sound/alsa-driver-1.0.11/pcmcia/pdaudiocf/pdaudiocf_old.c:424: error: unknown
field ‘event’ specified in initializer
/sound/alsa-driver-1.0.11/pcmcia/pdaudiocf/pdaudiocf_old.c:424: warning: excess
elements in struct initializer
/sound/alsa-driver-1.0.11/pcmcia/pdaudiocf/pdaudiocf_old.c:424: warning: (near
initialization for ‘pdacf_cs_driver’)
/sound/alsa-driver-1.0.11/pcmcia/pdaudiocf/pdaudiocf_old.c:427: error: unknown
field ‘detach’ specified in initializer
/sound/alsa-driver-1.0.11/pcmcia/pdaudiocf/pdaudiocf_old.c:428: warning: missing
braces around initializer
/sound/alsa-driver-1.0.11/pcmcia/pdaudiocf/pdaudiocf_old.c:428: warning: (near
initialization for ‘pdacf_cs_driver.drv’)
/sound/alsa-driver-1.0.11/pcmcia/pdaudiocf/pdaudiocf_old.c:428: warning:
initialization from incompatible pointer type
make[5]: *** [/sound/alsa-driver-1.0.11/pcmcia/pdaudiocf/pdaudiocf.o] Error 1
make[4]: *** [/sound/alsa-driver-1.0.11/pcmcia/pdaudiocf] Error 2
make[3]: *** [/sound/alsa-driver-1.0.11/pcmcia] Error 2
make[2]: *** [_module_/sound/alsa-driver-1.0.11] Error 2
make[1]: *** [modules] Error 2
make[1]: Leaving directory `/usr/src/kernels/2.6.15-1.2054_FC5-i686'
make: *** [compile] Error 2
Comment 7 Kunal Shah 2006-07-15 22:36:11 EDT
I already have
alsa-lib-devel-1.0.11-4.rc2
alsa-lib-1.0.11-4.rc2
alsa-utils-1.0.11-4.rc2

Isnt this newer version than the one mentioned in your howto?

Thanks
Kunal
Comment 8 Martin Stransky 2006-08-08 07:16:03 EDT
I updated my page so there are fixed drivers for FC5 (1.0.12rc2)-
http://people.redhat.com/stransky/alsa/

Or you can check the latest kernel for FC5.
Comment 9 Kunal Shah 2006-08-08 21:10:39 EDT
I tried that and still not working with alsa-driver-1.0.12rc2.tar.bz2

For Fedora kernel its latest, i use 2.6.17-1.2139_FC5
Comment 10 Martin Stransky 2006-08-09 02:37:04 EDT
Please report your problem to ALSA upstream (www.alsa-project.org)

Note You need to log in before you can comment on or make changes to this bug.